
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$rlt-app-primary: mat.define-palette(mat.$indigo-palette);
$rlt-app-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$rlt-app-warn: mat.define-palette(mat.$red-palette);

$app-typography: mat.define-typography-config(
  $font-family: 'Exo 2',
);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$rlt-app-theme: mat.define-light-theme((
  color: (
    primary: $rlt-app-primary,
    accent: $rlt-app-accent,
    warn: $rlt-app-warn,
  ),
  typography: $app-typography
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($rlt-app-theme);

/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; }
body {
  margin: 0;
  font-family: "Exo 2", "Helvetica Neue", sans-serif;
  background-color: #f1f8ff;
}

.title-h2 {
  font-size: 32px;
  font-family: "Exo 2", sans-serif;
  font-weight: 400;
  line-height: 38px;
}

.title-h3 {
  font-size: 24px;
  font-family: "Exo 2", sans-serif;
  font-weight: 400;
  line-height: 28px;
}

.title-h4 {
  font-size: 16px;
  font-family: "Exo 2", sans-serif;
  font-weight: 400;
  line-height: 28px;
}

.text-body {
  font-size: 16px;
  font-family: "Exo 2", sans-serif;
  font-weight: 400;
  line-height: 24px;
}

.text-secondary {
  color: #8d93a1;
}

.m-t-4 {
  margin-top: 4px;
}

.m-t-8 {
  margin-top: 8px;
}

.m-t-12 {
  margin-top: 12px;
}

.m-t-16 {
  margin-top: 16px;
}

.m-t-24 {
  margin-top: 24px;
}

.m-r-24 {
  margin-right: 24px;
}

.m-24 {
  margin: 24px;
}

.w-50 {
  width: 50%;
}

.d-flex {
  display: flex;
}

.flex-d-r {
  flex-direction: row;
}

.m-b-24 {
  margin-bottom: 24px;
}

.m-8 {
  margin: 8px;
}

.m-l-12 {
  margin-left: 12px;
}

.d-flex {
  display: flex;
}

.flex-d-c {
  flex-direction: column;
}

.align-items-center {
  align-items: center;
}

.justify-content-center {
  justify-content: center;
}

.w-100 {
  width: 100%;
}

.w-90 {
  width: 90%;
}

.p-8 {
  padding: 8px;
}

.body-1 {
  font-size: 14px;
  font-family: "Exo 2", sans-serif;
  font-weight: 400;
  line-height: 20px;
}

.body-2 {
  font-size: 12px;
  font-family: "Exo 2", sans-serif;
  font-weight: 400;
  line-height: 18px;
}

.mat-mdc-snack-bar-container {
  --mat-mdc-snack-bar-button-color: #ff4081;
  --mdc-snackbar-container-color: #white !important;
  --mdc-snackbar-supporting-text-color: #383838;

  * {
    opacity: 1;
  }
}

.mdc-snackbar__surface {
  background-color: white !important;
}
